#ifndef DCLIB_STL_USE_H
#define DCLIB_STL_USE_H

/* This is required because dclib does not install a copy of it's config.h */

#define DCLIB_USES_UNORDERED_MAP 1
#define DCLIB_USES_UNORDERED_SET 1
#define DCLIB_USES_TR1_UNORDERED_MAP 0
#define DCLIB_USES_TR1_UNORDERED_SET 0

/*
 * The compile may well break due to the CString hash functions, but
 * using unordered_set with a ulonglong as the key should be fine.
 */

#define DCLIB_ALLOWS_CSTRING_KEY 0

/*
 * It is _Fnv_hash    with gcc 4.5
 *       _Fnv_hash<>  with gcc 4.3
 *       Fnv_hash<>   with gcc 4.1
 * configure tests which one compiles.
 * Irrelevant if DCLIB_ALLOWS_CSTRING_KEY is 0.
 */

#define DCLIB_FNV_HASH_IS_PREFIXED 1
#define DCLIB_FNV_HASH_IS_TEMPLATE 0

#endif
